﻿using System.Collections.ObjectModel;

namespace DoodleGrouper.ViewModel
{
    public class ViewModelAddToGroup : ViewModelBase
    {
        private string _newUserList;
        private ObservableCollection<UserList> _userLists;
        public string Username { get; set; }

        public ObservableCollection<UserList> UserLists
        {
            get { return _userLists; }
            set
            {
                if (_userLists != value)
                {
                    _userLists = value;
                    OnPropertyChanged("UserLists");
                }
            }
        }

        public string NewUserList
        {
            get { return _newUserList; }
            set
            {
                if (_newUserList != value)
                {
                    _newUserList = value;
                    OnPropertyChanged("NewUserList");
                }
            }
        }
    }
}