﻿using DoodleGrouper.Classes;

namespace DoodleGrouper.ViewModel
{
    public class ViewModelModifyGroup : ViewModelBase
    {
        private string _groupName;

        private SortableObservableCollection<string> _usernames;

        public ViewModelModifyGroup(string groupName)
        {
            OldGroupName = _groupName = groupName;
        }

        public string OldGroupName { get; private set; }

        public string GroupName
        {
            get { return _groupName; }
            set
            {
                if (_groupName != value)
                {
                    _groupName = value;
                    OnPropertyChanged("GroupName");
                }
            }
        }

        public SortableObservableCollection<string> Usernames
        {
            get { return _usernames; }
            set
            {
                if (_usernames != value)
                {
                    _usernames = value;
                    OnPropertyChanged("UserLists");
                }
            }
        }
    }
}